<?php
$title = 'Реклама на сайте';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (($adm_id == 1 || $adm_id == 5 || $adm_id == 6) && $sys['modules']['ads'] == 1) {

    $sys['system']['wba'] = $sys['system']['wba'] ?? '200x50';
    $sys['system']['bancena'] = $sys['system']['bancena'] ?? 3;

    if ($adm_id == 1) {

        echo '<div class="title">Настройки</div>';

        if (isset($_POST['settings'])) {

            $error = '';

            if (empty($_POST['limit'])) {
                $error.= 'Укажите количество рекламных мест!<br/>';
            }
            if (empty($_POST['cena'])) {
                $error.= 'Введите стоимость рекламы!<br/>';
            }
            elseif ($_POST['cena'] < 0.01) {
                $error.= 'Стоимость рекламы не может быть меньше 0.01!<br/>';
            }
            if (empty($_POST['bancena'])) {
                $error.= 'Введите стоимость баннера!<br/>';
            }
            elseif ($_POST['bancena'] < 0.01) {
                $error.= 'Стоимость баннера не может быть меньше 0.01!<br/>';
            }
            if (empty($_POST['wba'])) {
                $error.= 'Укажите размер баннера!<br/>';
            }
            elseif (!sizeConv($_POST['wba'])) {
                $error.= 'Неверный формат размера баннера: вводить нужно в формате ШИРИНАxВЫСОТА!<br/>';
            }
            if ($error) {
                echo '<div class="menu">'.$error.'</div>';
            } else {

                $sys['system']['wba'] = $_POST['wba'];
                $sys['system']['rek_limit'] = ceil(abs($_POST['limit']));
                $sys['system']['rek_cena'] = floatval(abs($_POST['cena']));
                $sys['system']['bancena'] = floatval(abs($_POST['bancena']));
                $sys['system']['rek_color'] = floatval(abs($_POST['color']));
                $sys['system']['rek_comm'] = floatval(abs($_POST['comm']));
                $sys['modules']['mod_a'] = intval($_POST['mod_a']);

                write_ini_file(FILE_CONFIG, $sys);

                header('Location: /adm/advert');

            } 

        }

        echo '<div class="menu">
        <form action="" method="POST">
        Автомодерация рекламы:<br/><select name="mod_a"><option value="1">Вкл.</option><option '.($sys['modules']['mod_a'] == 3 ? 'selected' : '').' value="3">Откл.</option></select><br/>
        Размер баннера:<br/><input type="text" name="wba" value="'.$sys['system']['wba'].'"><br/>
        Количество рекламных мест:<br/><input type="text" name="limit" value="'.$sys['system']['rek_limit'].'"><br/>
        Стоимость одного дня размещения:<br/><input type="text" name="cena" value="'.$sys['system']['rek_cena'].'"><br/>
        Стоимость баннера:<br/><input type="text" name="bancena" value="'.$sys['system']['bancena'].'"><br/>
        Стоимость добавления комментария к ссылке:<br/><input type="text" name="comm" value="'.$sys['system']['rek_comm'].'"><br/>
        Стоимость добавления цвета:<br/><input type="text" name="color" value="'.$sys['system']['rek_color'].'"><br/>
        <input type="submit" name="settings" value="Сохранить">
        </form></div>';

    }

    echo '<div class="title">Реклама на сайте ('.$rek . $new_mod_rek.')</div>';

    $num_u = $connect->prepare("select count(*) from `rek` where `id` = ?");
    $strow = $connect->prepare("select * from `rek` where `id` = ?");

    if ($adm_id == 1) {
        if (isset($_GET['edit'])) {
            $num_u->execute(array($_GET['edit']));
            if ($num_u->fetchColumn()) {
                $strow->execute(array($_GET['edit']));
                $row = $strow->fetch();
                $file = GlobFiles::findById($_GET['edit'], GlobFiles::Files, '_ads_*');
                if (isset($_POST['cancel'])) {
                    header('location: /adm/advert');
                }
                elseif (isset($_POST['red'])) {
                    $error = '';
                    if (empty($_POST['url'])) {
                        $error.= 'Введите URL!<br/>';
                    }
                    elseif (mb_strlen($_POST['url']) < 5 || mb_strlen($_POST['url']) > 250) {
                        $error.= 'URL должен содержать от 5 до 250 символов!<br/>';
                    }
                    elseif (!isSiteAvailable($_POST['url'])) {
                        $error.= 'URL недоступен или введен не правильно!<br/>';
                    }
                    if (file_exists($_FILES['filename']['tmp_name'])) {
                        if (!BeforeUpload::AttachIMG($_FILES['filename'])) {
                            $error.= 'Неверный тип файла!<br/>';
                        }
                        if ($_FILES['filename']['size'] > 1024 * 1024) {
                            $error.= 'Максимальный размер файла - '.byte_conv(1024 * 1024).'!<br/>';
                        }
                    } elseif (!$file || $_POST['type'] == 0) {
                        if (empty($_POST['name'])) {
                            $error.= 'Введите название!<br/>';
                        }
                        elseif (mb_strlen($_POST['name']) < 5 || mb_strlen($_POST['name']) > 75) {
                            $error.= 'Название должно содержать от 5 до 75 символов!<br/>';
                        }
                        if (!empty($_POST['comment']) && (mb_strlen($_POST['comment']) < 5 || mb_strlen($_POST['comment']) > 250)) {
                            $error.= 'Комментарий к ссылке должен содержать от 5 до 250 символов!<br/>';
                        }
                    }
                    if ($error) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        $banner = (($file && $_POST['type'] == 1) || file_exists($_FILES['filename']['tmp_name'])) ? 1 : 0;
                        $name = $banner ? '' : $_POST['name'];
                        $comment = $banner ? '' : $_POST['comment'];
                        $color = $banner ? '' : $_POST['color'];
                        $stmt = $connect->prepare("update `rek` set `banner` = ?, `url` = ?, `name` = ?, `comment` = ?, `color` = ? where `id` = ?");
                        if ($stmt->execute(array($banner, $_POST['url'], $name, $comment, $color, $_GET['edit']))) {
                            if ($file && $_POST['type'] == 0)
                                unlink($file);
                            if ($_POST['type'] == 1 && file_exists($_FILES['filename']['tmp_name'])) {
                                $lid = $_GET['edit'];
                                $files = $lid."_ads_".random_int(11111, 99999)."_".$_FILES['filename']['name'];
                                move_uploaded_file($_FILES['filename']['tmp_name'], $_SERVER["DOCUMENT_ROOT"]."/files/".$files);
                                if ($file)
                                    unlink($file);
                            }
                            header('location: /adm/advert');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                }
                echo '<div class="menu">
                <form action="" method="POST" enctype="multipart/form-data">
                URL-адрес [5-250]:<br/><input type="text" name="url" value="'.$row['url'].'"><br/>
                Тип:<br/><select id="type" name="type">
                <option value="1">Баннер</option>
                <option '.($row['banner'] == 0 ? 'selected' : '').' value="0">Ссылка</option>
                </select><br/>
                <span id="type1" class="'.($row['banner'] == 1 ? 'wa-inline' : 'wa-hidden').'">Баннер:'.($file ? iconFile($file).'<a data-noajax href="/files/'.basename($file).'">'.basename($file).'</a> ('.get_filesize($file).')' : '').'<br/><input type="file" name="filename"><br/></span>
                <span id="type0" class="'.($row['banner'] == 1 ? 'wa-hidden' : 'wa-inline').'">
                Название [5-75]:<br/><input type="text" name="name" value="'.$row['name'].'"><br/>
                Комментарий к ссылке [5-250]:<br/><input type="text" name="comment" value="'.$row['comment'].'"><br/>
                Цвет ссылки:<br/><input type="text" name="color" value="'.$row['color'].'"><br/>
                </span>
                <input type="submit" name="red" value="Сохранить ('.intval($_GET['edit']).')">
                <input type="submit" name="cancel" value="Отмена">
                </form></div>';
                ?>
                <script>
                    $(function() {
                        var type = $('#type');
                        type.change(function() {
                            if (type.val() == 1) {
                                $('#type1').show();
                                $('#type0').hide();
                            } else {
                                $('#type0').show();
                                $('#type1').hide();
                            }
                        });
                    });
                </script>
                <?
            } else {
                header('location: /adm/advert');
            }
        }
        elseif (isset($_GET['del'])) {
            $num_u->execute(array($_GET['del']));
            if ($num_u->fetchColumn()) {
                if (isset($_POST['yes'])) {
                    $del = $connect->prepare("delete from `rek` where `id` = ? limit 1");
                    if ($del->execute(array($_GET['del']))) {
                        $file = GlobFiles::findById($_GET['del'], GlobFiles::Files, '_ads_*');
                        if ($file)
                            unlink($file);
                        header('location: /adm/advert');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('location: /adm/advert');
                }

                echo '<div class="menu">
                <form action="" method="POST">
                <input type="submit" name="yes" value="Удалить ('.intval($_GET['del']).')"/> 
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
            } else {
                header('location: /adm/advert');
            }
        }
        elseif (isset($_GET['bs'])) {
            $num_u->execute(array($_GET['bs']));
            if ($num_u->fetchColumn()) {
                $strow->execute(array($_GET['bs']));
                $row = $strow->fetch();
                if ($row['status'] == 1) {
                    if (isset($_POST['cancel'])) {
                        header('location: /adm/advert');
                    }
                    elseif (isset($_POST['yes'])) {

                        $error = '';

                        $days = intval(abs($_POST['days']));
                        $last = $row['expire'] > time() ? $row['expire'] : time();
                        $expire = $last + 3600 * 24 * $days;

                        if ($row['expire'] < time() && $active_rek + $c_mod_rek >= $sys['system']['rek_limit']) {
                            $error.= 'Все рекламные места заняты!<br/>'; 
                        } else {
                            if ($days < 1) {
                                $error.= 'Минимальное количество дней - 1!<br/>';
                            }
                        }
                        if ($error) {
                            echo '<div class="menu">'.$error.'</div>';
                        } else {
                            $stmt = $connect->prepare("update `rek` set `expire` = ?, `days` = `days` + ? where `id` = ?");
                            if ($stmt->execute(array($expire, $days, $_GET['bs']))) {
                                header('location: /adm/advert');
                            } else {
                                echo '<div class="menu">Произошла ошибка!</div>';
                            }
                        }
                    }
                    echo '<div class="menu">
                    <form action="" method="POST">
                    Количество дней:<br/><input type="text" name="days" value="5"><br/>
                    <input type="submit" name="yes" value="Продолжить ('.intval($_GET['bs']).')"/> 
                    <input type="submit" name="cancel" value="Отмена"/>
                    </form></div>';
                } else {
                    header('location: /adm/advert');
                }
            } else {
                header('location: /adm/advert');
            }
        }
    }

    if (isset($_GET['ban'])) {
        $num_u->execute(array($_GET['ban']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['ban']));
            $row = $strow->fetch();
            if (isset($_POST['done']) || isset($_POST['block'])) {
                $status = isset($_POST['block']) ? 2 : 1;
                $expire = $status == 1 && $row['expire'] == 0 ? time() + 3600 * 24 * $row['days'] : $row['expire'];
                $stmt = $connect->prepare("update `rek` set `status` = ?, `expire` = ? where `id` = ?");
                if ($stmt->execute(array($status, $expire, $_GET['ban']))) {
                    notification('Ваша рекламная ссылка (ID: '.$row['id'].') '.($status == 2 ? '[color=red]заблокирована[/color]' : '[color=green]активирована[/color]'), $row['uid']);
                    header('Location: /adm/advert');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            elseif (isset($_POST['cancel'])) {
                header('Location: /adm/advert');
            }

            echo '<div class="menu">
            <form action="" method="POST">
            ID: '.intval($_GET['ban']).'<hr/>
            '.($row['status'] != 1 ? '<input type="submit" name="done" value="Активировать">' : '').
              ($row['status'] != 2 ? '<input type="submit" name="block" value="Заблокировать">' : '').'
            <input type="submit" name="cancel" value="Отмена"/>
            </form></div>';

        } else {
            header('Location: /adm/advert');
        }
    }

    if ($rek == 0) {
        echo '<div class="menu">NONE</div>';
    } else {

        $page = new Pagination($rek, 10);

        $data = $connect->prepare("select * from `rek` order by `status` desc, `expire` desc, `id` desc limit :start, 10");
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            $file = GlobFiles::findById($row['id'], GlobFiles::Files, '_ads_*');

            echo '<div class="menu">
            URL: '.bblinks($row['url']).'<br/>
            '.($row['banner'] == 1 ? 'Баннер: '.($file ? iconFile($file).'<a data-noajax href="/files/'.basename($file).'">'.basename($file).'</a> ('.get_filesize($file).')<br/><img src="/preview/'.$sys['system']['wba'].'/'.base64_encode('/files/'.basename($file)).'" alt="preview">' : 'NONE') : 'Название: '.$row['name']).'<br/>
            '.($row['comment'] ? 'Комментарий к ссылке: '.$row['comment'].'<br/>' : '').
            ($row['color'] ? 'Цвет ссылки: <font color="'.$row['color'].'">'.$row['color'].'</font><br/>' : '').'
            Рекламодатель: '.profileLink($row['uid']).'<br/>
            Сумма: '.rub($row['sum']).'<br/>
            Общее количество дней: '.$row['days'].
            ($row['status'] == 3 ? '<div class="information">На модерации!</div>' : ($row['status'] == 2 ? '<div class="danger">Рекламная ссылка заблокирована!</div>' : ($row['expire'] > time() ? '<div class="good">Активна до: '.daytime($row['expire']).'</div>' : '<div class="danger">Просрочена!</div>'))).'
            <div class="butt2">
            '.($adm_id == 1 ? '<a href="?del='.$row['id'].'">Удалить</a>
            <a href="?edit='.$row['id'].'">Редактировать</a>
            '.($row['status'] == 1 ? '<a href="?bs='.$row['id'].'">Продлить</a>' : '') : '').'
            <a href="?ban='.$row['id'].'">Модерация</a>
            </div>
            </div>';

        }

        $page->navigation();

    }

} else {
    header('location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>