<?php
$title = 'Покупка рекламы';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $sys['modules']['ads'] == 1) {

    $sys['system']['wba'] = $sys['system']['wba'] ?? '200x50';
    $sys['system']['bancena'] = $sys['system']['bancena'] ?? 3;

    echo '<div class="title">Покупка рекламы</div>';

    if ($active_rek + $c_mod_rek >= $sys['system']['rek_limit']) {

        echo '<div class="menu">
        Все рекламные места заняты!<br/>
        Следующее место освободится: '.($c_mod_rek > 0 ? 'Неизвестно' : daytime($last_rek['expire'])).'<br/>
        Всего мест: '.$sys['system']['rek_limit'].'
        </div>';

    } else {

        $add = $connect->prepare("insert into `rek` set `banner` = ?, `url` = ?, `name` = ?, `comment` = ?, `color` = ?, `sum` = ?, `uid` = ?, `days` = ?, `expire` = ?, `status` = ?");

        if (isset($_POST['submit'])) {

            $error = '';

            $status = ($adm_id == 1 || $sys['modules']['mod_a'] == 1) ? 1 : 3;
            $days = intval(abs($_POST['days']));
            $expire = $status == 1 ? time() + 3600 * 24 * $days : 0;

            if (empty($_POST['color']) || file_exists($_FILES['filename']['tmp_name']))
                $sys['system']['rek_color'] = 0;

            if (empty($_POST['comment']) || file_exists($_FILES['filename']['tmp_name']))
                $sys['system']['rek_comm'] = 0;

            if (!file_exists($_FILES['filename']['tmp_name']))
                $sys['system']['bancena'] = 0;

            $sum = $days * $sys['system']['rek_cena'] + $sys['system']['rek_color'] + $sys['system']['rek_comm'] + $sys['system']['bancena'];

            if (empty($_POST['url'])) {
                $error.= 'Введите URL!<br/>';
            }
            elseif (mb_strlen($_POST['url']) < 5 || mb_strlen($_POST['url']) > 250) {
                $error.= 'URL должен содержать от 5 до 250 символов!<br/>';
            }
            elseif (!isSiteAvailable($_POST['url'])) {
                $error.= 'URL недоступен или введен не правильно!<br/>';
            }
            if (file_exists($_FILES['filename']['tmp_name'])) {
                if (!BeforeUpload::AttachIMG($_FILES['filename'])) {
                    $error.= 'Неверный тип файла!<br/>';
                }
                if ($_FILES['filename']['size'] > 1024 * 1024) {
                    $error.= 'Максимальный размер файла - '.byte_conv(1024 * 1024).'!<br/>';
                }
            } else {
                if (empty($_POST['name'])) {
                    $error.= 'Введите название!<br/>';
                }
                elseif (mb_strlen($_POST['name']) < 5 || mb_strlen($_POST['name']) > 75) {
                    $error.= 'Название должно содержать от 5 до 75 символов!<br/>';
                }
                if (!empty($_POST['comment']) && (mb_strlen($_POST['comment']) < 5 || mb_strlen($_POST['comment']) > 250)) {
                    $error.= 'Комментарий к ссылке должен содержать от 5 до 250 символов!<br/>';
                }
            }
            if ($days < 1) {
                $error.= 'Минимальное количество дней - 1!<br/>';
            }
            if ($user['money'] < $sum) {
                $error.= 'Недостаточно средств!<br/>';
            }
            if ($error) {
                echo '<div class="menu">'.$error.'</div>';
            } else {
                $banner = file_exists($_FILES['filename']['tmp_name']) ? 1 : 0;
                $name = $banner ? '' : $_POST['name'];
                $comment = $banner ? '' : $_POST['comment'];
                $color = $banner ? '' : $_POST['color'];
                if (pay(-$sum, $user['id']) && $add->execute(array($banner, $_POST['url'], $name, $comment, $color, $sum, $user['id'], $days, $expire, $status))) {
                    if (file_exists($_FILES['filename']['tmp_name'])) {
                        $lid = $connect->LastInsertId();
                        $files = $lid."_ads_".random_int(11111, 99999)."_".$_FILES['filename']['name'];
                        move_uploaded_file($_FILES['filename']['tmp_name'], $_SERVER["DOCUMENT_ROOT"]."/files/".$files);
                    }
                    header('Location: /ads');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
        }

        echo '<div class="menu">
        <form action="" method="POST">
        URL-адрес [5-250]:<br/><input type="text" name="url" value="http://"><br/>
        Тип:<br/><select id="type" name="type">
        <option value="1">Баннер</option>
        <option selected value="0">Ссылка</option>
        </select><br/>
        <span id="type1" class="wa-hidden">Баннер:<br/><input type="file" name="filename"><br/></span>
        <span id="type0" class="wa-inline">
        Название [5-75]:<br/><input type="text" name="name"><br/>
        Комментарий к ссылке [5-250]:<br/><input type="text" name="comment"><br/>
        Цвет ссылки:<br/><input type="text" name="color"><br/>
        </span>
        Количество дней:<br/><input type="text" name="days" value="5"><br/>
        <input type="submit" name="submit" value="Продолжить">
        <div class="dash">
        Всего мест: '.$sys['system']['rek_limit'].'<br/>
        Стоимость рекламы: '.rub($sys['system']['rek_cena']).' в день<br/>
        Баннер: +'.rub($sys['system']['bancena']).'<br/>
        Добавление комментария: +'.rub($sys['system']['rek_comm']).'<br/>
        Добавление цвета: +'.rub($sys['system']['rek_color']).'
        </div>
        </form></div>';

        ?>
        <script>
            $(function() {
                var type = $('#type');
                type.change(function() {
                    if (type.val() == 1) {
                        $('#type1').show();
                        $('#type0').hide();
                    } else {
                        $('#type0').show();
                        $('#type1').hide();
                    }
                });
            });
        </script>
        <?

    }

    echo '<div class="forlink"><a href="/ads" class="links"><img src="/img/dvr.png" alt="dvr">Моя реклама</a></div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>