<?php
$title = 'Реклама';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $sys['modules']['ads'] == 1) {

    $sys['system']['wba'] = $sys['system']['wba'] ?? '200x50';
    $sys['system']['bancena'] = $sys['system']['bancena'] ?? 3;

    echo '<div class="title">Реклама</div>
    <div class="forlink"><a href="/ads/buy" class="links"><img src="/img/dvr.png" alt="dvr">Купить рекламу</a></div>';

    $del = $connect->prepare("delete from `rek` where `id` = ?");
    $num_u = $connect->prepare("select count(*) from `rek` where `id` = ? and `uid` = ?");
    $strow = $connect->prepare("select * from `rek` where `id` = ?");

    if (isset($_GET['edit'])) {
        $num_u->execute(array($_GET['edit'], $user['id']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['edit']));
            $row = $strow->fetch();
            $file = GlobFiles::findById($_GET['edit'], GlobFiles::Files, '_ads_*');
            if (isset($_POST['cancel'])) {
                header('location: /ads');
            }
            elseif (isset($_POST['red'])) {

                $error = '';

                $banner = (($file && $_POST['type'] == 1) || file_exists($_FILES['filename']['tmp_name'])) ? 1 : 0;

                if ($row['color'] != NULL || $_POST['color'] == NULL || $banner)
                    $sys['system']['rek_color'] = 0;

                if ($row['comment'] != NULL || $_POST['comment'] == NULL || $banner)
                    $sys['system']['rek_comm'] = 0;

                if (!$banner)
                    $sys['system']['bancena'] = 0;

                $sum = $sys['system']['rek_color'] + $sys['system']['rek_comm'] + $sys['system']['bancena'];

                if (empty($_POST['url'])) {
                    $error.= 'Введите URL!<br/>';
                }
                elseif (mb_strlen($_POST['url']) < 5 || mb_strlen($_POST['url']) > 250) {
                    $error.= 'URL должен содержать от 5 до 250 символов!<br/>';
                }
                elseif (!isSiteAvailable($_POST['url'])) {
                    $error.= 'URL недоступен или введен не правильно!<br/>';
                }
                if (file_exists($_FILES['filename']['tmp_name'])) {
                    if (!BeforeUpload::AttachIMG($_FILES['filename'])) {
                        $error.= 'Неверный тип файла!<br/>';
                    }
                    if ($_FILES['filename']['size'] > 1024 * 1024) {
                        $error.= 'Максимальный размер файла - '.byte_conv(1024 * 1024).'!<br/>';
                    }
                } elseif (!$file || $_POST['type'] == 0) {
                    if (empty($_POST['name'])) {
                        $error.= 'Введите название!<br/>';
                    }
                    elseif (mb_strlen($_POST['name']) < 5 || mb_strlen($_POST['name']) > 75) {
                        $error.= 'Название должно содержать от 5 до 75 символов!<br/>';
                    }
                    if (!empty($_POST['comment']) && (mb_strlen($_POST['comment']) < 5 || mb_strlen($_POST['comment']) > 250)) {
                        $error.= 'Комментарий к ссылке должен содержать от 5 до 250 символов!<br/>';
                    }
                }
                if ($user['money'] < $sum) {
                    $error.= 'Недостаточно средств!<br/>';
                }
                if ($error) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    $name = $banner ? '' : $_POST['name'];
                    $comment = $banner ? '' : $_POST['comment'];
                    $color = $banner ? '' : $_POST['color'];
                    $status = ($adm_id == 1 || $sys['modules']['mod_a'] == 1) ? $row['status'] : 3;
                    $stmt = $connect->prepare("update `rek` set `banner` = ?, `url` = ?, `name` = ?, `comment` = ?, `color` = ?, `status` = ?, `sum` = `sum` + ? where `id` = ?");
                    if ($stmt->execute(array($banner, $_POST['url'], $name, $comment, $color, $status, $sum, $_GET['edit']))) {
                        if ($sum > 0)
                            pay(-$sum, $user['id']);
                        if ($file && $_POST['type'] == 0)
                            unlink($file);
                        if ($_POST['type'] == 1 && file_exists($_FILES['filename']['tmp_name'])) {
                            $lid = $_GET['edit'];
                            $files = $lid."_ads_".random_int(11111, 99999)."_".$_FILES['filename']['name'];
                            move_uploaded_file($_FILES['filename']['tmp_name'], $_SERVER["DOCUMENT_ROOT"]."/files/".$files);
                            if ($file)
                                unlink($file);
                        }
                        header('location: /ads');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }
            echo '<div class="menu">
            <form action="" method="POST">
            URL-адрес [5-250]:<br/><input type="text" name="url" value="'.$row['url'].'"><br/>
            Тип:<br/><select id="type" name="type">
            <option value="1">Баннер</option>
            <option '.($row['banner'] == 0 ? 'selected' : '').' value="0">Ссылка</option>
            </select><br/>
            <span id="type1" class="'.($row['banner'] == 1 ? 'wa-inline' : 'wa-hidden').'">Баннер:'.($file ? iconFile($file).'<a data-noajax href="/files/'.basename($file).'">'.basename($file).'</a> ('.get_filesize($file).')' : '').'<br/><input type="file" name="filename"><br/></span>
            <span id="type0" class="'.($row['banner'] == 1 ? 'wa-hidden' : 'wa-inline').'">
            Название [5-75]:<br/><input type="text" name="name" value="'.$row['name'].'"><br/>
            Комментарий к ссылке [5-250]:<br/><input type="text" name="comment" value="'.$row['comment'].'"><br/>
            Цвет ссылки:<br/><input type="text" name="color" value="'.$row['color'].'"><br/>
            </span>
            <input type="submit" name="red" value="Сохранить ('.intval($_GET['edit']).')">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>';
            ?>
            <script>
                $(function() {
                    var type = $('#type');
                    type.change(function() {
                        if (type.val() == 1) {
                            $('#type1').show();
                            $('#type0').hide();
                        } else {
                            $('#type0').show();
                            $('#type1').hide();
                        }
                    });
                });
            </script>
            <?
        } else {
            header('location: /ads');
        }
    }
    elseif (isset($_GET['del'])) {
        $num_u->execute(array($_GET['del'], $user['id']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['del']));
            $row = $strow->fetch();
            if ($row['expire'] < time() && $row['status'] == 1) {
                if (isset($_POST['yes'])) {
                    if ($del->execute(array($_GET['del']))) {
                        $file = GlobFiles::findById($_GET['del'], GlobFiles::Files, '_ads_*');
                        if ($file)
                            unlink($file);
                        header('location: /ads');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('location: /ads');
                }

                echo '<div class="menu">
                <form action="" method="POST">
                <input type="submit" name="yes" value="Удалить ('.intval($_GET['del']).')"/> 
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
            } else {
                header('location: /ads');
            }
        } else {
            header('location: /ads');
        }
    }
    elseif (isset($_GET['bs'])) {
        $num_u->execute(array($_GET['bs'], $user['id']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['bs']));
            $row = $strow->fetch();
            if ($row['status'] == 1) {
                if (isset($_POST['cancel'])) {
                    header('location: /ads');
                }
                elseif (isset($_POST['yes'])) {

                    $error = '';

                    $days = intval(abs($_POST['days']));
                    $last = $row['expire'] > time() ? $row['expire'] : time();
                    $expire = $last + 3600 * 24 * $days;
                    $sum = $days * $sys['system']['rek_cena'];

                    if ($row['expire'] < time() && $active_rek + $c_mod_shop >= $sys['system']['rek_limit']) {
                        $error.= 'Все рекламные места заняты!<br/>'; 
                    } else {
                        if ($days < 1) {
                            $error.= 'Минимальное количество дней - 1!<br/>';
                        }
                        if ($user['money'] < $sum) {
                            $error.= 'Недостаточно средств!<br/>';
                        }
                    }
                    if ($error) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        $stmt = $connect->prepare("update `rek` set `expire` = ?, `sum` = `sum` + ?, `days` = `days` + ? where `id` = ?");
                        if (pay(-$sum, $user['id']) && $stmt->execute(array($expire, $sum, $days, $_GET['bs']))) {
                            header('Location: /ads');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                }
                echo '<div class="menu">
                <form action="" method="POST">
                Количество дней:<br/><input type="text" name="days" value="5"><br/>
                <input type="submit" name="yes" value="Продолжить ('.intval($_GET['bs']).')"/> 
                <input type="submit" name="cancel" value="Отмена"/>
                </form></div>';
            } else {
                header('location: /ads');
            }
        } else {
            header('location: /ads');
        }
    }

    if ($user_rek == 0) {
        echo '<div class="menu">Рекламных ссылок нет!</div>';
    } else {

        $page = new Pagination($user_rek, 10);

        $data = $connect->prepare("select * from `rek` where `uid` = :uid order by `id` desc limit :start, 10");
        $data->bindValue(':uid', $user['id'], PDO::PARAM_INT);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            $file = GlobFiles::findById($row['id'], GlobFiles::Files, '_ads_*');

            echo '<div class="menu">
            URL: '.bblinks($row['url']).'<br/>
            '.($row['banner'] == 1 ? 'Баннер: '.($file ? iconFile($file).'<a data-noajax href="/files/'.basename($file).'">'.basename($file).'</a> ('.get_filesize($file).')<br/><img src="/preview/'.$sys['system']['wba'].'/'.base64_encode('/files/'.basename($file)).'" alt="preview">' : 'NONE') : 'Название: '.$row['name']).'<br/>
            '.($row['comment'] ? 'Комментарий к ссылке: '.$row['comment'].'<br/>' : '').
            ($row['color'] ? 'Цвет ссылки: <font color="'.$row['color'].'">'.$row['color'].'</font><br/>' : '').'
            Общее количество дней: '.$row['days'].
            ($row['status'] == 2 ? '<div class="danger">Ваша рекламная ссылка заблокирована!</div>' : ($row['status'] == 3 ? '<div class="information">На модерации!</div>' : ($row['expire'] > time() ? '<div class="good">Активна до: '.daytime($row['expire']).'</div>' : '<div class="danger">Просрочена!</div>'))).'
            <div class="butt2">
            '.($row['expire'] < time() && $row['status'] == 1 ? '<a href="?del='.$row['id'].'">Удалить</a>' : '').'
            <a href="?edit='.$row['id'].'">Редактировать</a>
            '.($row['status'] == 1 ? '<a href="?bs='.$row['id'].'">Продлить</a>' : '').'
            </div> 
            </div>';

        }

        $page->navigation();

    }

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>